Bug 228896 - devel/gnome-vfs: Fails to build with OpenSSL 1.1
Summary: devel/gnome-vfs: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks: 228865 231931
  Show dependency treegraph
 
Reported: 2018-06-11 19:22 UTC by Bernard Spil
Modified: 2018-11-01 23:09 UTC (History)
4 users (show)

See Also:
woodsb02: maintainer-feedback-
woodsb02: merge-quarterly+


Attachments
Fix OpenSSL 1.x build (13.99 KB, patch)
2018-10-07 17:28 UTC, Nathan
no flags Details | Diff
Fix OpenSSL 1.x build (2.32 KB, patch)
2018-10-07 18:10 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-06-11 19:22:14 UTC
"incomplete definition of type 'struct ssl_st'"

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/errors/gnome-vfs-2.24.4_8.log
Comment 2 Nathan 2018-10-07 17:28:22 UTC
Created attachment 197877 [details]
Fix OpenSSL 1.x build

 devel/gnome-vfs:
 
 * Fix OpenSSL 1.1.X build
 * Add gnome to USES, while here
 
 PR:             228896
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 3 Antoine Brodin freebsd_committer 2018-10-07 17:34:58 UTC
(In reply to Nathan from comment #2)
There are unrelated changes and regressions in this patch
Comment 4 Nathan 2018-10-07 17:37:42 UTC
(In reply to Antoine Brodin from comment #3)
The changes in the other patches besides the patch-libgnomevfs_gnome-vfs-ssl.c
are from doing make makepatch. I didn't change the others myself. Just created the vfs-ssl.c one
Comment 5 Nathan 2018-10-07 17:41:22 UTC
(In reply to Nathan from comment #4)
But I'll try to make it where the patch only changes the one that is needed for bug
Comment 6 Antoine Brodin freebsd_committer 2018-10-07 17:49:12 UTC
(In reply to Nathan from comment #4)
Don't use "make makepatch" after "make patch", it's usually better to
make extract pre-patch do-patch
hack
make makepatch
Comment 7 Nathan 2018-10-07 17:51:16 UTC
(In reply to Antoine Brodin from comment #6)
Thought I did it that way. Don't remember doing make patch before i created it
Comment 8 Nathan 2018-10-07 18:10:47 UTC
Created attachment 197881 [details]
Fix OpenSSL 1.x build

 devel/gnome-vfs:
 
 * Fix OpenSSL 1.1.X build
 * Add gnome to USES, while here
 
 PR:             228896
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 9 Ben Woods freebsd_committer 2018-10-27 03:21:44 UTC
Hi Nathan,
Thanks for the submission!

Am I correct in saying this patch was obtained from NetBSD [1]?

I also note it is in Gentoo, but they attribute NetBSD for the patch [2].

 [1] http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/sysutils/gnome-vfs/patches/patch-libgnomevfs_gnome-vfs-ssl.c?rev=1.1&content-type=text/x-cvsweb-markup

 [2] https://bugs.gentoo.org/592540

Thanks,
Ben
Comment 10 commit-hook freebsd_committer 2018-10-27 08:19:31 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Oct 27 08:19:23 UTC 2018
New revision: 483115
URL: https://svnweb.freebsd.org/changeset/ports/483115

Log:
  devel/gnome-vfs: Fix OpenSSL 1.1.X build

  - Patch taken from NetBSD [1]
  - Add gnome to USES

   [1] http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/sysutils/gnome-vfs/patches/patch-libgnomevfs_gnome-vfs-ssl.c?rev=1.1&content-type=text/x-cvsweb-markup

  PR:		228896
  Submitted by:	Nathan <ndowens@yahoo.com>
  Reported by:	brnrd
  Approved by:	gnome (maintainer timeout)
  Obtained from:	NetBSD
  MFH:		2018Q4

Changes:
  head/devel/gnome-vfs/Makefile
  head/devel/gnome-vfs/files/patch-openssl-1.1
Comment 11 Ben Woods freebsd_committer 2018-10-27 08:20:48 UTC
Committed - thanks for the submission!
Awaiting approval to merge to the ports quarterly 2018Q4 branch.
Comment 12 commit-hook freebsd_committer 2018-11-01 18:23:13 UTC
A commit references this bug:

Author: antoine
Date: Thu Nov  1 18:22:26 UTC 2018
New revision: 483700
URL: https://svnweb.freebsd.org/changeset/ports/483700

Log:
  MFH: r483115

  devel/gnome-vfs: Fix OpenSSL 1.1.X build

  - Patch taken from NetBSD [1]
  - Add gnome to USES

   [1] http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/sysutils/gnome-vfs/patches/patch-libgnomevfs_gnome-vfs-ssl.c?rev=1.1&content-type=text/x-cvsweb-markup

  PR:		228896
  Submitted by:	Nathan <ndowens@yahoo.com>
  Reported by:	brnrd
  Approved by:	gnome (maintainer timeout)
  Obtained from:	NetBSD

Changes:
_U  branches/2018Q4/
  branches/2018Q4/devel/gnome-vfs/Makefile
  branches/2018Q4/devel/gnome-vfs/files/patch-openssl-1.1
Comment 13 Ben Woods freebsd_committer 2018-11-01 23:09:16 UTC
Merged to 2018Q4.